package Game;


import java.awt.Graphics;
import javaPlay.GameObject;
import javaPlay.Sprite;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Jose Ricardo
 */
public abstract class RenderableGameEntitie extends GameObject {

    public String tag = new String();
    
    protected Sprite sprite = null;

    protected int width, height;

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }


    public Sprite getSprite() {
        return sprite;
    }

    public void setSprite(String filename, int w, int h) {
        width = w;
        height = h;
        sprite = new Sprite(filename, 1, width, height);
    }

    public void draw(Graphics g){
        sprite.draw(g, x, y);
    }
}